return {
  'neotab.nvim',
  event = 'InsertEnter',
  after = function()
    require('neotab').setup({
      behavior = 'closing',
      smart_punctuators = {
        enabled = true,
        semicolon = {
          enabled = true,
          ft = { 'javascript', 'typescript', 'php', 'nix' },
        },
        escape = {
          enabled = true,
          triggers = {
            [','] = {
              pairs = {
                { open = "'", close = "'" },
                { open = '"', close = '"' },
              },
              format = '%s ', -- ", "
            },
            ['='] = {
              pairs = {
                { open = '(', close = ')' },
              },
              ft = { 'javascript', 'typescript' },
              format = ' %s> ', -- ` => `
              cond = '^$', -- match only pairs with empty content
            },
          },
        },
      },
    })
  end,
}
