return {
  'aerial.nvim',
  event = { 'BufReadPost', 'BufWritePost', 'BufNewFile' },
  keys = {
    { '<LEADER>cs', '<CMD>AerialToggle<CR>', desc = 'toggle aerial' },
  },
  before = function()
    require('lz.n').trigger_load({ 'mini.icons' })
  end,
  after = function()
    require('aerial').setup({
      attach_mode = 'global',
      backends = { 'lsp', 'treesitter', 'markdown', 'man' },
      show_guides = true,
      layout = {
        resize_to_content = false,
        placement = 'edge',
        win_opts = {
          winhl = 'Normal:NormalFloat,FloatBorder:NormalFloat,SignColumn:SignColumnSB',
          signcolumn = 'yes',
          statuscolumn = ' ',
        },
      },
      guides = {
        mid_item = '├╴',
        last_item = '└╴',
        nested_top = '│ ',
        whitespace = '  ',
      },
    })
  end,
}
