return {
  'alpha-nvim',
  before = function()
    require('lz.n').trigger_load('plenary.nvim')
    require('lz.n').trigger_load('mini.icons')
  end,
  after = function()
    local theta = require('alpha.themes.theta')

    local header = [[
███╗   ███╗ █████╗ ██████╗ ██╗     ███████╗██╗   ██╗██╗   ██╗██╗███╗   ███╗
████╗ ████║██╔══██╗██╔══██╗██║     ██╔════╝╚██╗ ██╔╝██║   ██║██║████╗ ████║
██╔████╔██║███████║██████╔╝██║     █████╗   ╚████╔╝ ██║   ██║██║██╔████╔██║
██║╚██╔╝██║██╔══██║██╔══██╗██║     ██╔══╝    ╚██╔╝  ╚██╗ ██╔╝██║██║╚██╔╝██║
██║ ╚═╝ ██║██║  ██║██║  ██║███████╗███████╗   ██║    ╚████╔╝ ██║██║ ╚═╝ ██║
╚═╝     ╚═╝╚═╝  ╚═╝╚═╝  ╚═╝╚══════╝╚══════╝   ╚═╝     ╚═══╝  ╚═╝╚═╝     ╚═╝
    ]]

    theta.header.val = vim.split(header, '\n')

    local button = require('alpha.themes.dashboard').button
    theta.buttons.val = {
      {
        type = 'text',
        val = 'Shortcuts',
        opts = { hl = 'SpecialComment', position = 'center' },
      },
      { type = 'padding', val = 1 },

      button(
        'f',
        '󰈞  Find file',
        '<CMD>lua require("lz.n").trigger_load("fzf-lua"); require("fzf-lua").files()<CR>'
      ),

      button(
        'g',
        '  Live grep',
        '<CMD>lua require("lz.n").trigger_load("fzf-lua"); require("fzf-lua").live_grep()<CR>'
      ),

      button(
        's',
        '  Restore session',
        '<CMD>lua require("lz.n").trigger_load("persistence.nvim"); require("persistence").load()<CR>'
      ),

      button('q', '  Quit', '<CMD>qa<CR>'),
    }

    require('alpha').setup(theta.config)
  end,
}
