return {
  'indent-blankline.nvim',
  event = { 'BufReadPost', 'BufWritePost', 'BufNewFile' },
  after = function()
    require('ibl').setup({
      indent = {
        char = '│',
        tab_char = '│',
      },
      scope = { show_start = false, show_end = false },
      exclude = {
        filetypes = {
          'Trouble',
          'alpha',
          'dashboard',
          'help',
          'lazy',
          'mason',
          'neo-tree',
          'notify',
          'snacks_dashboard',
          'snacks_notif',
          'snacks_terminal',
          'snacks_win',
          'toggleterm',
          'trouble',
        },
      },
    })

    Snacks.toggle({
      name = 'Indent guides',
      get = function()
        return require('ibl.config').get_config(0).enabled
      end,
      set = function(state)
        require('ibl').setup_buffer(0, { enabled = state })
      end,
    }):map('<LEADER>ug')
  end,
}
