return {
  'persistence.nvim',
  event = 'BufReadPre',
  keys = {
    {
      '<LEADER>qs',
      function()
        require('persistence').load()
      end,
      desc = 'Restore session',
    },
    {
      '<LEADER>qS',
      function()
        require('persistence').select()
      end,
      desc = 'Select session',
    },
    {
      '<LEADER>ql',
      function()
        require('persistence').load({ last = true })
      end,
      desc = 'Restore last session',
    },
    {
      '<LEADER>qd',
      function()
        require('persistence').stop()
      end,
      desc = "Don't save current session",
    },
  },
  after = function()
    require('persistence').setup({})
  end,
}
